org.eclnt.jsfserver.elements.componentnodes

## Class DRAWAREANode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.DRAWAREANode

- All Implemented Interfaces:
    java.io.Serializable

      public class DRAWAREANode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DRAWAREANode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DRAWAREANode` | `bindActionListener(IActionListenerDelegation value)`
    `DRAWAREANode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `DRAWAREANode` | `bindBackground(IDynamicContentBindingObject value)`
    `DRAWAREANode` | `bindBgpaint(IDynamicContentBindingObject value)`
    `DRAWAREANode` | `bindBorder(IDynamicContentBindingObject value)`
    `DRAWAREANode` | `bindColspan(IDynamicContentBindingObject value)`
    `DRAWAREANode` | `bindCommandfilter(IDynamicContentBindingObject value)`
    `DRAWAREANode` | `bindComment(IDynamicContentBindingObject value)`
    `DRAWAREANode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `DRAWAREANode` | `bindDrawcommands(IDynamicContentBindingObject value)`
    `DRAWAREANode` | `bindDroprastertext(IDynamicContentBindingObject value)`
    `DRAWAREANode` | `bindDropreceive(IDynamicContentBindingObject value)`
    `DRAWAREANode` | `bindDropshape(IDynamicContentBindingObject value)`
    `DRAWAREANode` | `bindFlusharea(IDynamicContentBindingObject value)`
    `DRAWAREANode` | `bindFxstyleseq(IDynamicContentBindingObject value)`
    `DRAWAREANode` | `bindHeight(IDynamicContentBindingObject value)`
    `DRAWAREANode` | `bindHelpid(IDynamicContentBindingObject value)`
    `DRAWAREANode` | `bindOpaque(IDynamicContentBindingObject value)`
    `DRAWAREANode` | `bindPopupmenu(IDynamicContentBindingObject value)`
    `DRAWAREANode` | `bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)`
    `DRAWAREANode` | `bindRendered(IDynamicContentBindingObject value)`
    `DRAWAREANode` | `bindShadow(IDynamicContentBindingObject value)`
    `DRAWAREANode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `DRAWAREANode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `DRAWAREANode` | `bindWidth(IDynamicContentBindingObject value)`
    `DRAWAREANode` | `bindX(IDynamicContentBindingObject value)`
    `DRAWAREANode` | `bindY(IDynamicContentBindingObject value)`
    `DRAWAREANode` | `setActionListener(java.lang.String value)`
    `DRAWAREANode` | `setAdapterbinding(java.lang.String value)`
    `DRAWAREANode` | `setAttributemacro(java.lang.String value)`
    `DRAWAREANode` | `setBackground(java.lang.String value)`
    `DRAWAREANode` | `setBgpaint(java.lang.String value)`
    `DRAWAREANode` | `setBorder(java.lang.String value)`
    `DRAWAREANode` | `setColspan(int value)`
    `DRAWAREANode` | `setColspan(java.lang.String value)`
    `DRAWAREANode` | `setCommandfilter(java.lang.String value)`
    `DRAWAREANode` | `setComment(java.lang.String value)`
    `DRAWAREANode` | `setConfiginfo(java.lang.String value)`
    `DRAWAREANode` | `setDrawcommands(java.lang.String value)`
    `DRAWAREANode` | `setDroprastertext(java.lang.String value)`
    `DRAWAREANode` | `setDropreceive(java.lang.String value)`
    `DRAWAREANode` | `setDropshape(java.lang.String value)`
    `DRAWAREANode` | `setFlusharea(boolean value)`
    `DRAWAREANode` | `setFlusharea(java.lang.String value)`
    `DRAWAREANode` | `setFxstyleseq(java.lang.String value)`
    `DRAWAREANode` | `setHeight(int value)`
    `DRAWAREANode` | `setHeight(java.lang.String value)`
    `DRAWAREANode` | `setHelpid(java.lang.String value)`
    `DRAWAREANode` | `setId(java.lang.String value)`
    `DRAWAREANode` | `setOpaque(boolean value)`
    `DRAWAREANode` | `setOpaque(java.lang.String value)`
    `DRAWAREANode` | `setPopupmenu(java.lang.String value)`
    `DRAWAREANode` | `setPopupmenuloadroundtrip(java.lang.String value)`
    `DRAWAREANode` | `setReference(java.lang.String value)`
    `DRAWAREANode` | `setRendered(boolean value)`
    `DRAWAREANode` | `setRendered(java.lang.String value)`
    `DRAWAREANode` | `setShadow(java.lang.String value)`
    `DRAWAREANode` | `setStyleseq(java.lang.String value)`
    `DRAWAREANode` | `setStylevariant(java.lang.String value)`
    `DRAWAREANode` | `setWidth(int value)`
    `DRAWAREANode` | `setWidth(java.lang.String value)`
    `DRAWAREANode` | `setX(int value)`
    `DRAWAREANode` | `setX(java.lang.String value)`
    `DRAWAREANode` | `setY(int value)`
    `DRAWAREANode` | `setY(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DRAWAREANode

          public DRAWAREANode()

  - ### Method Detail

    - #### setId

          public DRAWAREANode setId(java.lang.String value)

    - #### setActionListener

          public DRAWAREANode setActionListener(java.lang.String value)

    - #### bindActionListener

          public DRAWAREANode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public DRAWAREANode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public DRAWAREANode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public DRAWAREANode setAttributemacro(java.lang.String value)

    - #### setBackground

          public DRAWAREANode setBackground(java.lang.String value)

    - #### bindBackground

          public DRAWAREANode bindBackground(IDynamicContentBindingObject value)

    - #### setBgpaint

          public DRAWAREANode setBgpaint(java.lang.String value)

    - #### bindBgpaint

          public DRAWAREANode bindBgpaint(IDynamicContentBindingObject value)

    - #### setBorder

          public DRAWAREANode setBorder(java.lang.String value)

    - #### bindBorder

          public DRAWAREANode bindBorder(IDynamicContentBindingObject value)

    - #### setColspan

          public DRAWAREANode setColspan(java.lang.String value)

    - #### bindColspan

          public DRAWAREANode bindColspan(IDynamicContentBindingObject value)

    - #### setColspan

          public DRAWAREANode setColspan(int value)

    - #### setCommandfilter

          public DRAWAREANode setCommandfilter(java.lang.String value)

    - #### bindCommandfilter

          public DRAWAREANode bindCommandfilter(IDynamicContentBindingObject value)

    - #### setComment

          public DRAWAREANode setComment(java.lang.String value)

    - #### bindComment

          public DRAWAREANode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public DRAWAREANode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public DRAWAREANode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setDrawcommands

          public DRAWAREANode setDrawcommands(java.lang.String value)

    - #### bindDrawcommands

          public DRAWAREANode bindDrawcommands(IDynamicContentBindingObject value)

    - #### setDroprastertext

          public DRAWAREANode setDroprastertext(java.lang.String value)

    - #### bindDroprastertext

          public DRAWAREANode bindDroprastertext(IDynamicContentBindingObject value)

    - #### setDropreceive

          public DRAWAREANode setDropreceive(java.lang.String value)

    - #### bindDropreceive

          public DRAWAREANode bindDropreceive(IDynamicContentBindingObject value)

    - #### setDropshape

          public DRAWAREANode setDropshape(java.lang.String value)

    - #### bindDropshape

          public DRAWAREANode bindDropshape(IDynamicContentBindingObject value)

    - #### setFlusharea

          public DRAWAREANode setFlusharea(java.lang.String value)

    - #### bindFlusharea

          public DRAWAREANode bindFlusharea(IDynamicContentBindingObject value)

    - #### setFlusharea

          public DRAWAREANode setFlusharea(boolean value)

    - #### setFxstyleseq

          public DRAWAREANode setFxstyleseq(java.lang.String value)

    - #### bindFxstyleseq

          public DRAWAREANode bindFxstyleseq(IDynamicContentBindingObject value)

    - #### setHeight

          public DRAWAREANode setHeight(java.lang.String value)

    - #### bindHeight

          public DRAWAREANode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public DRAWAREANode setHeight(int value)

    - #### setHelpid

          public DRAWAREANode setHelpid(java.lang.String value)

    - #### bindHelpid

          public DRAWAREANode bindHelpid(IDynamicContentBindingObject value)

    - #### setOpaque

          public DRAWAREANode setOpaque(java.lang.String value)

    - #### bindOpaque

          public DRAWAREANode bindOpaque(IDynamicContentBindingObject value)

    - #### setOpaque

          public DRAWAREANode setOpaque(boolean value)

    - #### setPopupmenu

          public DRAWAREANode setPopupmenu(java.lang.String value)

    - #### bindPopupmenu

          public DRAWAREANode bindPopupmenu(IDynamicContentBindingObject value)

    - #### setPopupmenuloadroundtrip

          public DRAWAREANode setPopupmenuloadroundtrip(java.lang.String value)

    - #### bindPopupmenuloadroundtrip

          public DRAWAREANode bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)

    - #### setReference

          public DRAWAREANode setReference(java.lang.String value)

    - #### setRendered

          public DRAWAREANode setRendered(java.lang.String value)

    - #### bindRendered

          public DRAWAREANode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public DRAWAREANode setRendered(boolean value)

    - #### setShadow

          public DRAWAREANode setShadow(java.lang.String value)

    - #### bindShadow

          public DRAWAREANode bindShadow(IDynamicContentBindingObject value)

    - #### setStyleseq

          public DRAWAREANode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public DRAWAREANode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public DRAWAREANode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public DRAWAREANode bindStylevariant(IDynamicContentBindingObject value)

    - #### setWidth

          public DRAWAREANode setWidth(java.lang.String value)

    - #### bindWidth

          public DRAWAREANode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public DRAWAREANode setWidth(int value)

    - #### setX

          public DRAWAREANode setX(java.lang.String value)

    - #### bindX

          public DRAWAREANode bindX(IDynamicContentBindingObject value)

    - #### setX

          public DRAWAREANode setX(int value)

    - #### setY

          public DRAWAREANode setY(java.lang.String value)

    - #### bindY

          public DRAWAREANode bindY(IDynamicContentBindingObject value)

    - #### setY

          public DRAWAREANode setY(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.